> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a basic research report by report ID

> Returns a basic research report by its report ID.



## OpenAPI

````yaml GET /research-basic/v1/basic/reports/{reportId}
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Research V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /research-basic/v1/basic/reports/{reportId}:
    get:
      tags:
        - Research Reports
      summary: Get a basic research report by report ID
      description: Returns a basic research report by its report ID.
      operationId: getBasicResearchReport
      parameters:
        - in: path
          name: reportId
          required: true
          schema:
            format: byte
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/ResearchReport'
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Report does not exist for reportId
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    ResearchReport:
      properties:
        assetIds:
          items:
            type: string
          type: array
        assets:
          items:
            $ref: '#/components/schemas/researchAsset'
          type: array
        authors:
          items:
            $ref: '#/components/schemas/Author'
          type: array
        content:
          description: Polymorphic field of either HTML or Markdown
          type: string
        createdAt:
          format: date-time
          type: string
        hook:
          type: string
        id:
          type: string
        publishDate:
          format: date-time
          type: string
        readingTimeInMinutes:
          format: double
          type: number
        slug:
          type: string
        subscriptionTier:
          type: string
        summary:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/Tag'
          type: array
        title:
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - assetIds
        - assets
        - authors
        - content
        - createdAt
        - hook
        - id
        - publishDate
        - readingTimeInMinutes
        - slug
        - subscriptionTier
        - summary
        - tags
        - title
        - updatedAt
      type: object
    researchAsset:
      type: object
      description: Schema for researchAsset
      properties: {}
      additionalProperties: true
    Author:
      type: object
      description: Schema for Author
      properties: {}
      additionalProperties: true
    Tag:
      type: object
      description: Schema for Tag
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````